Delete a webhook subscription
Delete one of the caller's subscriptions by id. Returns 204 on success, 404 if the id is not one of the caller's subscriptions.
Authorization
bearerAuth API key for authentication.
In: header
Path Parameters
Response Body
application/json
application/json
curl -X DELETE "https://across.to/api/v1/webhooks/subscriptions/whsub_1a2b3c4d5e6f7a8b9c0d1e2f3a4b5c6d"{
"error": "UnauthorizedError",
"message": "A valid Authorization: Bearer <apiKey> header is required."
}{
"error": "NotFoundError",
"message": "Subscription not found."
}List webhook subscriptions GET
List the webhook subscriptions owned by the caller's API key, oldest first. The raw signing secret is never included — only its `secretHash`.
Create persistent deposit addresses POST
Returns a persistent, infinite-TTL deposit address. The same request parameters always resolve to the same address, so you can request it once and reuse it. Requires an API key with the `deposit-address` permission (Bearer auth). The supported destination is currently only `USDC-SPOT` on HyperCore, delivered to an EVM recipient address. Additionally, `USDC` is also supported on HyperEVM - chainId `999`, `0xb88339CB7199b77E23DB6E890353E22632Ba630f`. More destination tokens and chains will be supported in the future. You don't need to hardcode which chains you can deposit from (input chains), the API response will include that information in the `supportedInputs` field including the input token to send there, and that route's min/max limits. **Strongly provide `refundAddresses`.** It is optional, but if a deposit can't be completed and no refund address was supplied, funds can only be recovered through a **manual refund process that takes significantly longer** than the automatic refund. You would need to contact Across support to initiate the manual refund.